Page MenuHomeFreeBSD

update x11-wm/herbstluftwm 0.7.2
ClosedPublic

Authored by uzsolt_uzsolt.hu on May 29 2019, 9:08 AM.

Details

Summary
  • up to 0.7.2
  • remove gettext-runtime, added gnome to USES
  • patch share/autostart: remove bashism so doesn't need shells/bash
  • pkg-message.in about bash dependency of scripts

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mmokhi added a subscriber: mmokhi.Jun 21 2019, 1:14 PM

Thanks @uzsolt_uzsolt.hu ๐Ÿ˜Š
Have you tested it in a clean-env (like poudriere/jail), and it builds?

Asking to ensure if you prefer if I run it for a test too?
๐Ÿ‘

Makefile
25 โ†—(On Diff #58032)

No examples anymore? ๐Ÿค”
It means the port is not gonna provide example scripts for initial setup anymore?

pkg-plist
18 โ†—(On Diff #58032)

Will the %%EXAMPLESDIR%% be valid while you disabled EXAMPLES option?
I haven't tested it myself, have you?

mat added a subscriber: mat.Jun 22 2019, 8:16 AM
mat added inline comments.
files/pkg-message.in
1โ€“8 โ†—(On Diff #58032)

Please limit this to installation or upgrade from before some version. See https://www.freebsd.org/doc/en/books/porters-handbook/pkg-files.html

(also, remove the *** lines)

pkg-plist
18 โ†—(On Diff #58032)

EXAMPLESDIR is valid, yes, but if you install examples, they MUST be guarded by an EXAMPLES option.

Have you tested it in a clean-env (like poudriere/jail), and it builds?

Yes, poudriere builds fine.

uzsolt_uzsolt.hu edited the summary of this revision. (Show Details)
mat added a comment.Jun 25 2019, 2:39 PM

Hi,

I don't understand the change you made to the pkg-message file. I asked to choose either install or upgrade, looking at this, it is only needed the first time you install the port, so the second bit about upgrade is not required.

Also, could you use devel/arcanist, or at least generate a diff with full context like it does, with svn diff -x -U9999 or git diff -U9999.

linimon retitled this revision from x11-wm/herbstluftwm 0.7.2 to update x11-wm/herbstluftwm 0.7.2.Jun 27 2019, 1:34 AM
uzsolt_uzsolt.hu marked an inline comment as done.

Updated diff.

I don't understand the change you made to the pkg-message file. I asked to choose either install or upgrade, looking at this, it is only needed the first time you install the port, so the second bit about upgrade is not required.

I didn't understand why do you want information at upgrade - but I was regardless.

Also, could you use devel/arcanist, or at least generate a diff with full context like it does, with svn diff -x -U9999 or git diff -U9999.

Yes of course. I hope now it's right.

pkg-plist
18 โ†—(On Diff #58032)

So would better use EXAMPLES option?

This revision was not accepted when it landed; it landed in state Needs Review.Wed, Sep 11, 1:13 PM
This revision was automatically updated to reflect the committed changes.